#version 450
// SIMPLE TEXTURE : FRAGMENT SHADER

// These come in from the previous shader (vertex)
layout(location = 0) in vec4 out_color;

// This goes out to the bound image in window_size_dependent setup
layout(location = 0) out vec4 f_color;

void main() {
    
    if (out_color.w  >= 1.5/255.0) {

        //f_color = out_color;
        //f_color.w = 1.0;
    } else {
        //f_color = f_color;
        //f_color.w = 0.0;
        //f_color = vec4(0.0,0.0,0.0,0.0);
    }

   f_color.rgb = out_color.rgb;
   f_color.a = out_color.a;
   //f_color = out_color;

}
